Wednesday, April 1, 2009

Google Maps loading problem fixed

Google released Google Maps API version 2.151 today, which somehow broke map loading for many users (including myself). I received a number of complaints that the map doesn't load. The Firefox error console gave the error "window.jstiming is undefined".

I've now manually downgraded to Google Maps API version 2.150 which seems to work better.

Sorry for the trouble, and thank you for your patience!

7 comments:

Jeremy said...

I'm having the same issue. What did you do to downgrade?

Jeremy said...

Nevermind. I found it in the documentation. Thanks for the alert!

Cameron Prebble said...

had the same issue also, cheers for pointing it out, hopefully google will get it sorted soon as it'll be effecting a lot of people using the 2.x option

oh7lzb said...

Yup. I was running with 2.x because earlier the bleeding-edge version contained a bug fix which I needed badly. Should have remembered to switch to "stable" 2 later.

Anonymous said...

May I suggest a new feature to add-- google streatview, would be neat to track an aprs target at streat level

oh7lzb said...

Anonymous: Yes, that's been on my mind, too! Will do that once another bigger project is finished...

Anonymous said...

Errrr Mac here. Works fine in Safari; Firefox not so much. Firefox JUST did an update (3.5.1), which just happened to be installed before I tried it for the first time with Firefox.